# $Revision: 1.17 $, $Date: 2009/10/02 08:28:55 $
Summary:	X.org video driver for SiS video chips connected via a Net2280-based USB dongle
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów SiS podłączonych poprzez przejściówkę USB Net2280
Name:		xorg-driver-video-sisusb
Version:	0.9.3
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-sisusb-%{version}.tar.bz2
# Source0-md5:	be59e9c2d9458cee0b5006549c14a95d
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xf86miscproto-devel
BuildRequires:	xorg-proto-xineramaproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-server >= 1.0.99.901
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for SiS video chips connected via a Net2280-based
USB dongle. It supports SiS315E/PRO video chipset.

Note: it requires a Linux kernel driver (included in Linux 2.6.12 and
later).

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów SiS podłączonych poprzez
przejściówkę USB opartą na układzie Net2280. Obsługuje układ graficzny
SiS315E/PRO.

Uwaga: wymaga sterownika jądra Linuksa (załączonego w wersji Linuksa
2.6.12 i późniejszych).

%prep
%setup -q -n xf86-video-sisusb-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/sisusb_drv.so
%{_mandir}/man4/sisusb.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-sisusb.spec,v $
Revision 1.17  2009/10/02 08:28:55  arekm
- release 2

Revision 1.16  2009/09/20 06:20:12  arekm
- up to 0.9.3

Revision 1.15  2009/08/20 06:13:06  amateja
- updated to 0.9.2

Revision 1.14  2009/02/25 21:42:46  arekm
- up to 0.9.1

Revision 1.13  2009/02/25 21:06:55  arekm
- release 4

Revision 1.12  2008/08/30 16:34:21  arekm
- release 3

Revision 1.11  2008/07/01 16:10:58  arekm
- release 2

Revision 1.10  2008-03-19 19:53:00  arekm
- up to 0.9.0

Revision 1.9  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.8  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.7  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.5  2006/04/11 11:55:19  qboosh
- updated to 0.8.1

Revision 1.4  2006/01/09 13:30:57  qboosh
- 0.7.1.3 (X11R7.0 release)

Revision 1.3  2005/12/08 13:54:01  qboosh
- 0.7.1.1 (X11R7.0-RC3)

Revision 1.2  2005/11/20 15:51:32  qboosh
- 0.7.1 (X11R7.0-RC2)

Revision 1.1  2005/10/30 13:28:57  qboosh
- new
